Removed compatibility check from deploy script and other now useless stuff.

This commit is contained in:
Raphaël Numbus
2026-05-15 11:43:51 +02:00
parent e9628a112c
commit e7e354b0e7
+5 -13
View File
@@ -37,7 +37,7 @@ get_valid_input() {
# Handle empty input
if [[ -z "${INPUT}" ]]; then
if [[ "${MANDATORY}" == true ]]; then
gum style --foreground "#ff0000" -- " This field is mandatory."
gum style --foreground "#ff0000" -- " This field is mandatory."
continue
else
INPUT=""
@@ -51,7 +51,7 @@ get_valid_input() {
export "${VAR_NAME}"="${INPUT}"
break
else
gum style --foreground "#ff0000" -- " Invalid format. Please try again."
gum style --foreground "#ff0000" -- " Invalid format. Please try again."
fi
else
export "${VAR_NAME}"="${INPUT}"
@@ -69,7 +69,7 @@ cleanup() {
rm -${DIR_RM_FLAGS} ${TMP_FILES_PATH}/
if ps -p ${BRIDGE_PID:-} > /dev/null; then
if [[ -n "${BRIDGE_PID:-}" ]] && ps -p ${BRIDGE_PID} > /dev/null; then
kill ${BRIDGE_PID}
fi
}
@@ -77,14 +77,6 @@ cleanup() {
hierarchy_preparation() {
echod "\n 🔄 Preparing the folder hierarchy for the final configuration..."
if [[ -e config/* ]]; then
echo " ⚠️ It seems you have already run this script. Previously generated files need to be cleaned up."
OLD_CONFIG_PATH="trash/$(date +"%Y-%m-%d-%Hh%M")/"
mkdir -${MKDIR_FLAGS} ${OLD_CONFIG_PATH}
mv -${MV_FLAGS} config/ ${OLD_CONFIG_PATH}
echo " ✅ Your files have been moved to the ${OLD_CONFIG_PATH} directory. You can retrieve them there if needed."
fi
# Script folders
mkdir -${MKDIR_FLAGS} ${TMP_FILES_PATH}/config
mkdir -${MKDIR_FLAGS} ${TMP_FILES_PATH}/logs
@@ -968,7 +960,6 @@ set -euo pipefail
clear
trap cleanup EXIT
compatibility_check
# --- PRE MAIN LOGIC ---<
@@ -998,4 +989,5 @@ else
else
launch_tui
fi
fi
fi
# --- MAIN LOGIC ---<